package tutorialJava.examenes.examen20250616.vista;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import tutorialJava.examenes.examen20250509.vista.PanelSociosPorEquipo;

import java.awt.BorderLayout;
import javax.swing.JLabel;
import javax.swing.JTabbedPane;

public class VentanaPrincipal extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					VentanaPrincipal frame = new VentanaPrincipal();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public VentanaPrincipal() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 500);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		setContentPane(contentPane);
		contentPane.setLayout(new BorderLayout(0, 0));
		
		JLabel lblNewLabel = new JLabel("New label");
		contentPane.add(lblNewLabel, BorderLayout.NORTH);
		
		JTabbedPane tabbedPane = new JTabbedPane(JTabbedPane.TOP);
		contentPane.add(tabbedPane, BorderLayout.CENTER);
		
		PanelCRUDSocio panel_2 = new PanelCRUDSocio();
		tabbedPane.addTab("Gestión de socios", null, panel_2, null);

		PanelListaEquipos panel = new PanelListaEquipos();
		tabbedPane.addTab("Gestión de equipos", null, panel, null);
		
		PanelSociosPorEquipo panel_1 = new PanelSociosPorEquipo();
		tabbedPane.addTab("Socios por equipo", null, panel_1, null);
		
	}

}
